epp_HostUpdateChange (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.host.epp_HostUpdateChange class

### org.openrtk.idl.epprtk.host

# Class epp_HostUpdateChange

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.host.epp_HostUpdateChange`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_HostUpdateChange`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the host object elements to be changed in the registry. This class can only be used when modifying a host object. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/host/epp_HostUpdateChange.java,v 1.1 2004/12/07 15:27:50 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:50 $

See Also:
  `epp_HostUpdateReq.setChange(epp_HostUpdateChange)`

  ## Field Summary
  `String` | `m_name` The new host name of the host object.

  ## Constructor Summary
  `epp_HostUpdateChange()` Empty constructor
  `epp_HostUpdateChange(String _m_name)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getName()` Accessor method for the new host name of the host object
  `void` | `setName(String value)` Accessor method for the new host name of the host object
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_name

    public String m_name

> The new host name of the host object.
> See Also:
>   `setName(String)`, `getName()`

## Constructor Details

### epp_HostUpdateChange

    public epp_HostUpdateChange()

> Empty constructor

### epp_HostUpdateChange

    public epp_HostUpdateChange(String _m_name)

> The constructor with initializing variables.
> Parameters:
>   `_m_name` - The new host name of the host object

## Method Details

### getName

    public String getName()

> Accessor method for the new host name of the host object
> Returns:
>   The new host name
> See Also:
>   `m_name`

### setName

    public void setName(String value)

> Accessor method for the new host name of the host object
> Parameters:
>   `value` - The new host name
> See Also:
>   `m_name`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS